changeset 1:f106b52086b0

Uploaded
author idot
date Sun, 18 Aug 2013 09:42:36 -0400
parents 06cd86f06fb0
children 1eb46757d8bb
files mkCorr.sh
diffstat 1 files changed, 24 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/mkCorr.sh	Sun Aug 18 09:42:36 2013 -0400
@@ -0,0 +1,24 @@
+#!/bin/sh
+TOOLDIR="$( cd -P "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+
+#echo "running corr"
+#echo $PWD
+
+
+
+if [ -f /biosw/modules/init/modules-env.sh ]; then
+	module load R/3.0.0 
+fi;
+
+cp $TOOLDIR/corr.R $PWD
+
+./corr.R "$@" > err.log 2>&1
+
+if [ $? -eq 0 ] 
+then
+   echo 'correlation result'
+   exit 0
+else
+   cat err.log >&2
+   exit 1
+fi